﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Test.AreaChart" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<%@ Register Assembly="MindFusion.Charting.WebForms" Namespace="MindFusion.Charting.WebForms"
	TagPrefix="chart" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title>MindFusion Charting Sample - Area Chart</title>
	<link href="common/jquery-ui.min.css" rel="stylesheet" />
	<link href="common/samples.css" rel="stylesheet" />
	<script type="text/javascript" src="common/jquery.min.js"></script>
	<script type="text/javascript" src="common/jquery-ui.min.js"></script>
	<script type="text/javascript" src="common/samples.js"></script>
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="ScriptManager1" runat="server" />
	<input type="hidden" id="collapsed" />
	<div id="header" style="height: 49px;">
		<asp:Button ID="Button1" runat="server" Text="Postback" OnClick="Button1_Click" />
		<div style="float: right; margin-right: 5px; margin-top: 17px;">
			<button id="expandButton" onclick="onExpandCollapse()">
				&gt;
			</button>
		</div>
	</div>
	<div id="info" style="top: 60px; bottom: 24px;">
		<div id="infoTab" style="padding: 10px;">
			<h1>
				About this sample
			</h1>
			<p>
				This sample demonstrates various properties of the AreaChart control. Change property
				values in this panel to see their effect in chart above.
			</p>
		</div>
	</div>
	<div id="content" style="top: 60px; bottom: 24px; overflow-y: scroll;">
		<asp:UpdatePanel ID="UpdatePanel1" runat="server">
			<ContentTemplate>
				<div id="controls" style="height: 100px;">
					<input type="button" id="toJson" value="ToJson" onclick="return toJson_onclick()" />
					<input type="button" id="fromJson" value="FromJson" onclick="return fromJson_onclick()" />
					<div style="display: inline-block">
						<label for="lineType">
							Line type</label>
						<asp:DropDownList ID="lineType" runat="server" AutoPostBack="true" OnSelectedIndexChanged="lineType_SelectedIndexChanged">
							<asp:ListItem Value="0" Text="Polyline" Selected="True"></asp:ListItem>
							<asp:ListItem Value="1" Text="Step"></asp:ListItem>
							<asp:ListItem Value="2" Text="Curve"></asp:ListItem>
						</asp:DropDownList>
					</div>
					<div style="display: inline-block">
						Area opacity
						<asp:TextBox runat="server" TextMode="Number" min="0" max="100" Text="100" ID="areaOpacity"
							AutoPostBack="true" OnTextChanged="areaOpacity_TextChanged" />
					</div>
					<asp:CheckBox ID="chbShowDataLabels" runat="server" Checked="true" AutoPostBack="true"
						OnCheckedChanged="chbShowDataLabels_CheckedChanged" />
					<label for="chbShowDataLabels">
						ShowDataLabels</label>
				</div>
				<div style="position: absolute; left: 0px;
					top: 100px; bottom: 0px; right: 20px">
				<chart:AreaChart runat="server" ID="areaChart" Width="100%" Height="100%" /></div>
			</ContentTemplate>
		</asp:UpdatePanel>
	</div>
	<div id="footer" style="height: 24px;">
		<span id="copyright"></span>
	</div>
	<script language="javascript" type="text/javascript">
// <![CDATA[
		var json = null;
		function toJson_onclick() {
			var chart = mflayer.findControl('areaChart');
			json = chart.toJson();
		}

		function fromJson_onclick() {
			var chart = mflayer.findControl('areaChart');
			if (json != null)
				chart.fromJson(json);
		}
// ]]>
	</script>
	</form>
</body>
</html>
